Package Details: posixovl 1.3-1

Git Clone URL: https://aur.archlinux.org/posixovl.git (read-only)
Package Base: posixovl
Description: A FUSE filesystem that provides POSIX functionality, a modern equivalent to UMSDOS
Upstream URL: http://sourceforge.net/projects/posixovl/
Licenses: GPL2
Submitter: mildred
Maintainer: gee
Last Packager: gee
Votes: 4
Popularity: 0.119024
First Submitted: 2015-10-15 07:09
Last Updated: 2019-05-08 14:24

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

gee commented on 2019-05-08 14:25

@herve I just adopted this and used your PKGBUILD, I'm happy to let you maintain this if you want to, I was just tired of seeing yay nagging me about it being out of date :)

sgerwk commented on 2018-10-30 17:11

works fine with your PKGBUILD, thanks!

herve commented on 2018-10-26 08:48

Here is an updated version of PKGBUILD for 1.3, I had to change the path to the source code, and I took the opportunity to switch to SHA1 sum.

# Contributor: Jakub Luzny <limoto94@gmail.com>
pkgname=posixovl
pkgver=1.3
pkgrel=1
pkgdesc='A FUSE filesystem that provides POSIX functionality, a modern equivalent to UMSDOS'
arch=(i686 x86_64 armv7h armv6h)
url="http://sourceforge.net/projects/posixovl/"
license=('GPL2')
depends=('fuse')
provides=()
source=(https://downloads.sourceforge.net/project/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha1sums=('c6b868f5a0b3ff0d316759214fe69dbd1fec694b')

build() {
    cd "$srcdir/$pkgname-$pkgver"

    ./autogen.sh
    ./configure --prefix=/usr --sbindir=/usr/bin

    make
}

package() {
    cd "$srcdir/$pkgname-$pkgver"

    make DESTDIR="$pkgdir" install
}

#category: system
# vim:set ts=2 sw=2 et:

herve commented on 2018-10-26 08:28

Or even the newly released version 1.3, according to its changelog.

sgerwk commented on 2018-09-21 11:21

config fails because attr/xattr.h is not found, but works fine with linux/xattr.h instead

this requires patching ./configure and posixovl.c

sekret commented on 2016-02-06 10:15

Could you please add 'armv7h' to the arch line? It builds just fine on my Raspberry Pi 2 :)

Most probably it builds just fine for armv6h too (e.g. Raspberry Pi 1), but I cannot confirm...

chris_l commented on 2015-10-29 08:25

Ah this package is amazing! May I suggest a change for the description?

Just adding something like "A modern equivalent for UMSDOS".
That was what I was searching for, but searching for "UMSDOS" on AUR returns zero results.